Enable GuidedTour on all wikis
Closed, ResolvedPublic

Description

@Jdforrester-WMF agrees this is a good idea, but after Christmas break.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 10 2016, 3:03 AM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptDec 10 2016, 8:15 AM

I concur this is a good idea: when not configured, it doesn't create anything, but once enabled, any admin / interface editor can configure it.

Mattflaschen-WMF added a comment.EditedDec 12 2016, 7:38 PM

I concur this is a good idea: when not configured, it doesn't create anything, but once enabled, any admin / interface editor can configure it.

There are a couple default tours (e.g. 'test', 'firstedit'), but those also don't impact users unless they specifically navigate to them.

Change 331986 had a related patch set uploaded (by Dereckson):
Enable GuidedTour on all wikis

https://gerrit.wikimedia.org/r/331986

User notice

Could you announce this in the next tech news?

Notify also them the default tours aren't usable without the requirements noted at T153000.

Dereckson added a subscriber: MaxSem.EditedFeb 14 2017, 2:08 AM

@MaxSem doesn't think we should SWAT this and, after reflexion, I concur: the guided tour has well been tested on en. and other wikis, but to enable to all wikis is indeed something more like a new feature.

@Mattflaschen-WMF a dedicated deployment window would be better so, when do you think we should plan this?

Johan added a subscriber: Johan.Feb 16 2017, 11:25 AM

@Dereckson Roughly when do you expect this to be deployed?

Notify also them the default tours aren't usable without the requirements noted at T153000.

That's been a subtask (blocker) of this, which means we should not be deploying the all-wiki change until that is done.

Good news is the T153000 patch is ready for re-review (Roan reviewed it before and I just fixed a minor issue he ID'ed).

I'm proposing to do this April 25th. @Jdforrester-WMF okayed that, I'm confirming with @Dereckson.

I'm proposing to do this April 25th. @Jdforrester-WMF okayed that, I'm confirming with @Dereckson.

Now moved to April 24th.

Change 348647 had a related patch set uploaded (by Mattflaschen):
[operations/mediawiki-config@master] Beta: Enable GuidedTour everywhere (except loginwiki and votewiki)

https://gerrit.wikimedia.org/r/348647

Change 348647 merged by jenkins-bot:
[operations/mediawiki-config@master] Beta: Enable GuidedTour everywhere (except loginwiki and votewiki)

https://gerrit.wikimedia.org/r/348647

greg added a subscriber: greg.Apr 18 2017, 12:01 AM

I'm proposing to do this April 25th. @Jdforrester-WMF okayed that, I'm confirming with @Dereckson.

Now moved to April 24th.

@Dereckson already got (via email, he hadn't added it yet, I will now) the slot you asked for (via email) to do a new wiki creation. :)

greg added a comment.Apr 18 2017, 12:05 AM

Actually, I was wrong, or his edit is wrong. It's at https://wikitech.wikimedia.org/wiki/Deployments#deploycal-item-20170425T1100 (11:00 UTC Tuesday/04:00 Pacific). So, yeah, 5am on Monday is still open.

Now scheduled for Monday at 7 AM Pacific, per IRC.

Change 331986 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable GuidedTour on all wikis

https://gerrit.wikimedia.org/r/331986

Mentioned in SAL (#wikimedia-operations) [2017-04-24T14:39:43Z] <matt_flaschen> Deployment of T152827 ("Enable GuidedTour on all wikis") complete and tested

Jdforrester-WMF closed this task as Resolved.
Jdforrester-WMF assigned this task to Mattflaschen-WMF.

Q: Does this change affect wikis, which have enabled Guided tours already? (like cswiki)

Q: Does this change affect wikis, which have enabled Guided tours already? (like cswiki)

No. It has no effect on any wiki that already had GuidedTours; for those that didn't, they can now configure tours locally.

Dvorapa removed a subscriber: Dvorapa.Apr 27 2017, 8:52 PM